=== modified file '__init__.py'
--- __init__.py	2007-07-17 02:55:14 +0000
+++ __init__.py	2007-07-21 13:16:33 +0000
@@ -66,7 +66,7 @@
                 % (bzrlib.__version__, bzrlib_version[0], bzrlib_version[1]))
 
 
-check_bzrlib_version(version_info[:2])
+## check_bzrlib_version(version_info[:2]) REMOVE
 
 from bzrlib.trace import warning
 if __name__ != 'bzrlib.plugins.gtk':

=== modified file 'cmenu.ui'
--- cmenu.ui	2007-05-18 16:01:10 +0000
+++ cmenu.ui	2007-07-21 13:16:33 +0000
@@ -2,6 +2,7 @@
     <popup name="context_right">
         <menuitem name="add" action="add" />
         <menuitem name="remove" action="remove" />
+        <menuitem name="remove_and_delete" action="remove_and_delete" />
         <menuitem name="rename" action="rename" />
         <menuitem name="open" action="open" />
         <separator />

=== modified file 'olive/menu.py'
--- olive/menu.py	2007-05-18 16:01:10 +0000
+++ olive/menu.py	2007-07-21 13:16:33 +0000
@@ -14,7 +14,9 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
+import os
 import os.path
+import shutil
 import sys
 
 try:
@@ -24,6 +26,7 @@
     pass
 
 import gtk
+from dialog import question_dialog
 
 import bzrlib.errors as errors
 from bzrlib.workingtree import WorkingTree
@@ -64,6 +67,10 @@
                                        _('Remove'), None,
                                        _('Remove the selected file'),
                                        self.remove_file),
+                                      ('remove_and_delete', gtk.STOCK_REMOVE,
+                                       _('Remove and delete'), None,
+                                       _('Remove the selected file/dir and delete from disk'),
+                                       self.remove_and_delete_file),
                                       ('rename', None,
                                        _('Rename'), None,
                                        _('Rename the selected file'),
@@ -201,7 +208,7 @@
             branch.unlock()
     
     @show_bzr_error
-    def remove_file(self, action):
+    def remove_file(self, action,delete_on_disk=0):
         """ Right context menu -> Remove """
         # Remove only the selected file
         directory = self.path
@@ -214,8 +221,22 @@
         
         wt, path = WorkingTree.open_containing(os.path.join(directory, filename))
         wt.remove(path)
+        
+        if delete_on_disk:
+            abs_filename = os.path.join(directory,filename)
+            if os.path.isdir(abs_filename):
+                response = question_dialog(_('Delete directory with all directories below ?'), abs_filename )
+                if response == gtk.RESPONSE_YES:
+                    shutil.rmtree(abs_filename)
+            else:
+                os.remove(abs_filename)
+                
         self.app.set_path(self.path)
         self.app.refresh_right()
+        
+    def remove_and_delete_file(self, action):
+        """ Right context menu -> Remove and delete"""
+        self.remove_file(action,delete_on_disk=1)
 
     def rename_file(self, action):
         """ Right context menu -> Rename """

